Package wx :: Package py :: Module editor

[frames | no frames]

## Module wx.py.editor

PyAlaCarte and PyAlaMode editors.

Classes
`DialogResults` | DialogResults class.
`Editor` | Editor having an EditWindow.
`EditorFrame` | Frame containing one editor.
`EditorNotebook` | A notebook containing a page for each editor.
`EditorNotebookFrame` | Frame containing one or more editors in a notebook.
`EditorShellNotebook` | A notebook containing an editor page and a shell page.
`EditorShellNotebookFrame` | Frame containing a notebook containing EditorShellNotebooks.
`EditWindow` | EditWindow based on StyledTextCtrl.

Function Summary
| ``directory`(parent, message, path, style, pos, size)` Dir dialog wrapper function.
| ``fileDialog`(parent, title, directory, filename, wildcard, style)` File dialog wrapper function.
| ``messageDialog`(parent, message, title, style, pos)` Message dialog wrapper function.
| ``openMultiple`(parent, title, directory, filename, wildcard, style)` File dialog wrapper function.
| ``openSingle`(parent, title, directory, filename, wildcard, style)` File dialog wrapper function.
| ``saveSingle`(parent, title, directory, filename, wildcard, style)` File dialog wrapper function.

Variable Summary
`str` | `__author__` = `"Patrick K. O'Brien <pobrien@orbtech.com>"`
`str` | `__cvsid__` = `'$Id: editor.py,v 1.10 2006/09/08 20:09:18 R...`
`str` | `__revision__` = `'1.10'`

Function Details

### directory(parent=None, message='Choose a directory', path='', style=0, pos=wx.Point(-1, -1), size=wx.Size(-1, -1))

Dir dialog wrapper function.

### fileDialog(parent=None, title='Open', directory='', filename='', wildcard='All Files (*.*)|*.*', style=33)

File dialog wrapper function.

### messageDialog(parent=None, message='', title='Message box', style=1051, pos=wx.Point(-1, -1))

Message dialog wrapper function.

### openMultiple(parent=None, title='Open', directory='', filename='', wildcard='All Files (*.*)|*.*', style=33)

File dialog wrapper function.

### openSingle(parent=None, title='Open', directory='', filename='', wildcard='All Files (*.*)|*.*', style=1)

File dialog wrapper function.

### saveSingle(parent=None, title='Save', directory='', filename='', wildcard='All Files (*.*)|*.*', style=6)

File dialog wrapper function.

Variable Details

### __author__

  Type:
    `str`
  Value:

        "Patrick K. O'Brien <pobrien@orbtech.com>"

### __cvsid__

  Type:
    `str`
  Value:

        '$Id: editor.py,v 1.10 2006/09/08 20:09:18 RD Exp $'

### __revision__

  Type:
    `str`
  Value:

        '1.10'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:02 2007 | http://epydoc.sf.net